<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];

switch ($action){
	default :
		$type_jw = $_GET['type_jw'];
		$slg_jw = abs(intval($_GET['slg_jw']));
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($type_jw) || empty($slg_jw)){
			echo "<font size='4' color='red'>Hãy điền đầy đủ thông tin.</font>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $type_jw)){
			echo "<font color='red'>Dữ liệu lỗi - Loại ngọc chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $slg_jw)){
			echo "<font color='red'>Dữ liệu lỗi - Số lượng chỉ được sử dụng số 1-9.</font>";
		}
		else {
			
			$getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'type_jw'    =>  $type_jw,
				'slg_jw'    =>  $slg_jw,
                
                'pagesv'	=>	'sv_tiente_bank2jewel',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) echo "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$jewel = explode('<vweb>',$reponse);
				if ($jewel[0] == 'OK') {
					if($jewel[1] == 'chao'){
					$_SESSION['acc_chao'] = $jewel[2];
					}elseif($jewel[1] == 'cre'){
					$_SESSION['acc_cre'] =  $jewel[2];
					}elseif($jewel[1] == 'blue'){
					$_SESSION['acc_blue'] =  $jewel[2];
					}elseif($jewel[1] == 'heart'){
					$_SESSION['acc_heart'] =  $jewel[2];
					}
					echo $reponse;
				}
				else echo $reponse;
			}
		}
}
?>